Introduction

BILL OF MATERIALS

Overview

Proteus enables you to generate and configure a Bill of Materials report that lists all of the components used in the current design, along with their specified properties. A live display of the BOM is provided along with a data view which allows you to quickly assign values and add information to components on the design.

The Bill of Materials in Proteus 8 is a top level application module, meaning that it opens in a separate tab in the Proteus application . You can launch the Bill of Materials via the BOM icon on the main toolbar .

As with all top level modules you can choose to split the BOM into a separate frame. To do this, drag the tab into free space (e.g. a second monitor) or double click on the tab to auto-split the frames on a single monitor. This can be useful as the BOM display is a live representation of the schematic and will update automatically as you place and edit on the schematic frame.

Assuming you have a schematic loaded you will see an HTML view of the BOM contents for the schematic when you launch the Bill of Materials module. The left hand side contains configuration and output options for BOM while the main display is switchable between the live HTML view and property editing mode.

If you are happy with the default information then you can simply generate the report. If you want to supply more information or want the report to be styled different then you will need to edit the BOM.

You may find it useful when not editing to hide the left hand pane in the BOM module (particularly with a landscape BOM report). You can do this via the slide icon at the very top of that pane.

In addition to this help document you can watch a full tutorial movie on the Bill of Materials via this link

Editing

The Bill of Materials in Proteus is as flexible as you need it to be. Editing typically takes one of two forms; either you want to change the data being displayed or you want to change the look and style of the report itself.

Data Editing

Adding information to the report (cost, RoHS, supplier, etc.) is a fairly simply process via the Bill of Materials module. You can also restructure the contents of the report into logical groupings of your choice.

  • If you want the BOM report to contain more information then you need to first add a field and then assign data to the components.
  • If you want to restructure the groupings in the report then you need to edit the categories.

Style Editing

Since PDF is the primary presentation format you may want to change the look of the BOM report to be consistent with the rest of your corporate documentation. The output formats are all generated from the live view, meaning that you can achieve almost any look you want by editing the stylesheet.

We recommend you review the many practical examples of common use scenarios for both BOM contents and BOM styling.

Saving and Loading

The Bill of Materials module supports user templates which allow you to save and load your own configurations. The templates contain:

  • All styling and presentation information.
  • Display and ordering of categories.
  • Display of BOM fields.

While the template will save the displayed fields remember that the data that populates the fields comes from the schematic. If you re-use a template in a future design you are likely to have to add information for components in the new design. The easiest way to do this is via the Property Editor

Saving a template

Unless you have simply generated the report without modification you are likely to want to save any configuration changes for use in future projects. Using the Save Button at the top left of the of the BOM module will save the changes in the current template

By contrast, using the Save As button will allow you to save changes under a different template name which can then be selected from the combo box in future designs

The Default template is always loaded for a new project, although if you change this it will persist for the current project. It follows that if you are working with only one template you should save your configuration as Default so that it will apply automatically when you start a new project

Loading a template

If you want to load a different template for the current project you simply select the one you want from the combo box at the top of the BOM module.


Generating the Report

BOM GENERATION

Introduction

Generation of the Bill of Materials report takes place from the icons at the top or the Generate menu of the BOM module.

BOM Generation Options

There is one presentation output formats (PDF) in which the customising of the live viewer is reflected in the output file and two data formats (Excel & CSV) which contain only the raw information. Changes to fonts and colours, header and footer and addition of company logo are therefore applied only to the presentational format. These are discussed in more detail below.

Output PDF

PDF output is a common presentation format that can be generated directly from the Bill of Materials module.

All images, styles and links are embedded in the PDF document so it is often worth customising your styles prior to generating the final report.

If you have created a Project Notes document of type BOM Notes, you can also append the contents of that document to the PDF, allowing you to include more detailed information or provide additional purchasing guidelines.

The BOM Report view is a physical view based on paper size and orientation. This maps directly onto both the printed output and the PDF output so applying changes such as a switch to landscape mode will be accurately reflected in the resulting output.

Open in Excel

Assuming you have Microsoft Excel installed on your computer you can directly export your Bill of Materials into an Excel spreadsheet for further editing.

You then need to save from the Excel application to store the contents on disk.

Output CSV

The Bill Of Materials report will be a plain ASCII text file in Comma Separated Variable (CSV) format. This is a popular format of data exchange commonly used by spread-sheet programs such as Microsoft™ Excel.

As is common with CSV files, the first line is the name of the fields separated by commas. The remaining lines of the file is raw Bill Of Materials information (quantities, references, values, etc.) separated by commas (Information that contains a comma will be automatically enclosed inside double quotation marks).

The report is termed ‘compact’ because the normal Bill Of Materials operation of grouping like components together is still performed and the CSV output contains one such grouping per line. For example:

Resistors,2,"R3,R15",18k …

Generating a Full CSV Output

Selecting the checkbox to the right of the CSV output option will generate a more verbose listing. The principle difference is that the normal Bill Of Materials ‘grouping’ of like components is suspended and instead each component in the design is output separately, one component per line.

Resistors,"R3",18k Resistors,"R15",18k

Output ASCII

A direct output to ASCII format is available from the Generate menu in the BOM module.

Configuration of column width takes place from the Advanced Settings command on the Generate Menu. This allows you to set a character column width for each field in the report.


Categories and Fields

CATEGORIES & FIELDS

BOM Categories

A BOM Category is basically a group of components which are designated to be of the same type. The designation is made by the reference prefix of the parts in ISIS. For example, Resistors have prefix 'R' (R1, R23, R54, etc), Capacitors have designator 'C' and so on. In the Bill of Materials each category then forms a different section of the report.

The designator is specified at the point of Make Device and can be set in the first page of the Make Device dialogue form.

It follows that you can both add new categories to the BOM report where a reference prefix already exists in the schematic and create new categories by making/re-annotating parts with a different reference prefix. This is shown in the examples below.

Adding, Editing and Ordering

To add a category to the BOM Report
  1. At the left hand side of the BOM module click on the add button underneath Categories.

  2. On the resulting dialogue form enter the name for the category and the prefix or prefixes to match. For example, a heading of Connectors would match reference 'J'.

  3. Click OK to exit the dialogue form. The new category should appear at the bottom of the category list.
To re-order the Categories

The listing of categories at the left represents the order that they will appear in the BOM report. To change this:

  1. Select the Category you want to move by left clicking on it in the list.
  2. Use the up and down arrows to re-arrange it's position in the list.
  3. You should see the live display change to reflect your changes.

To suppress Categories with no components

On some designs there will be categories in the BOM report which have no components on the schematic. You can suppress these by selecting the 'Suppress Empty Categories' checkbox underneath the Category editing buttons.

To delete a Category from the BOM Report

If you do not want a category to appear in the Bill of Materials report you can delete it from the listing.

  1. Select the Category for deletion by left clicking on it in the list
  2. Use the delete button to remove the category.
  3. All parts associated with that category will return to being listed in the Miscellaneous category.

The Miscellaneous Category is a required item and cannot be deleted.

BOM Fields

A BOM field is basically a column in the Bill of Materials report which is linked to a property on the schematic components. It provides the mechanism by which you add information about schematic parts to the report. The basic procedure is :

1) Add (or create) a BOM Field. This adds a column in the BOM report which will map on to a component property in ISIS.

2) Use the Property Editor to enter data for the property based on components in the schematic.

3) Assign the data back to the schematic parts, thereby updating the BOM report.

Practical examples are probably the best way to illustrate the relationship between properties and BOM fields. Several guides are provided here.

Component Placement Information

There is a special field for 'placed' which will indicate on which side of the board the component in question is located. To add this property:

1) Add a field in the normal way and select the .placed property from the resulting combo box.

2) Placement information will be displayed in the BOM but is not editable.

Note that a change in ARES to placement does not automatically refresh the BOM. If the BOM module is open while you are editing placement on the layout you will need to reload the BOM manually via the Edit Menu command when you are finished.

BOM Notes

BOM Notes allows you to add some free format text to the report. You can launch the notes editor from the bottom of the left hand configuration pane in the Bill of Materials module.

As with anything else in the report you can style the BOM Notes via the style editor dialogue form.

If you need to add sizeable notes or want to include a purchasing guidance document then it is better to do so in the Project Notes application module. The Project Notes content then can be appended to the PDF output of the BOM via the checkbox on the output toolbar.


PROPERTIES

Background Theory

A property in ISIS is basically the assignment of a value to a named variable where you can create your own variables and then apply values to them on a component basis. In it's simplest form it amounts to:

<variable> = <value>

and an example would be

SUPPLIER = Digikey

Each property also has an associated description, allowing the variable to be abbreviated into something sensible. For example the property :

MoQ = 50

might have a description such as 'Minimum Order Quantity' and you would then see the following in the Edit Component dialogue form:

The idea is that you add information about the components in the design as properties and then include the properties as fields in the Bill of Materials report. The Property Editor in the Bill of Materials module provides an easy user interface for this process.

The Property Editor

The Property Editor in the Bill of Materials shows a grid of components in the schematic (rows) and properties/fields in the BOM (columns). You can assign values to any user created property here, can add and create new properties and can then apply all this data back to the schematic. All of the information entered here will be applied to the HTML View and also to your final BOM report.

Basic operation will be self-evident to many users but we encourage everyone to refer to the practical examples linked below.

Note that properties added and changes made are reflected on the current schematic. If you want them to then be preserved for other designs you need to put them in a library. The easiest way to do this is simply to run the Compile to Library command on the Library Menu in ISIS which will save all current parts in the schematic to a (writable) library of your choice.

See Also:

Examples: Adding Properties and Entering Data

System Properties and User Properties

Proteus reserves some properties for internal use and these are known as system properties. Most of these properties are not relevant to the Bill of Materials but some are. For example, the property PACKAGE is used to identify the footprint associated with a component on the schematic.

A system property is read only in the Bill of Materials editor, although you can change the values of such properties through the Edit Component dialogue form.

Any property you create yourself is a user property and all user properties are editable via the Bill of Materials property editor. Examples of user properties include Cost, MoQ, RoHS, Supplier, Lead Time, Manufacturer and Notes.

See Also:

Example: Adding a Property

Example: Assigning values to Properties

BOM Parts

It is fairly common in a schematic for one schematic component to contribute more than one part to the Bill of Materials report. This is often used for fixtures and fittings such as fuseholders, fans, heatsinks or bolts. The following example illustrates how to add and remove bom parts from the report.

Lets assume that our schematic includes a transformer and we want to include four bolts in the BOM report. First, go to the property editor in the Bill of Materials module and select the New BOM Part button from the top.

The first task on the BOM Part Creator dialogue form is to identify the parent part. All BOM Parts need to 'belong' to a part on the schematic because the property system is component based. In our case we want to select the transformer as the parent part.

By default, the transformer will be in the Miscellaneous category because the reference prefix for the part ( 'TR' ) is not defined. If you wanted a Transformers category you simply add a category with the TR reference designator.

Next, specify the number of additional parts, the reference prefix for the new parts and the value (name).

Press the create button to add the parts and then the close button to exit the dialogue form. You should see that the four bolts now appear both in the Property Editor and in the live view of the BOM report.

The process for removing BOM Parts is almost identical. Click on the remove button at the top of the property editor, filter by parent part to select the BOM part that you want to delete and then click the remove button.

See Also

Example: Adding parts for the BOM in a Component

Note (Advanced Use) :

Once you have created a BOM Part you will find that an extra field has been added at the bottom of the Edit Component dialogue form for that part. Deleting this string will remove the BOM Parts and editing the string will update the BOM report.

The format of the string is

BOMPART=QTY,REF,VALUE[,PROPNAME=PROPVAL,...]

The property name must begin with ‘BOMPART’ – thus ‘BOMPART’, ‘BOMPART1’, etc. are all valid property names.

The QTY parameter represents the quantity of parts to add. This will usually be ‘1’ but can be any number as appropriate.

The REF parameter represents the component reference prefix these new parts will be given. Note that if other parts exist in the report with the same prefix, the new parts will have prefixes that follow (numerically) from the last count used. Further, parts added in this way will still be grouped by category so if you want them to appear in a particular section of the report you will need to add a Category to handle this prefix.

The VALUE parameter is the ‘value’ that the new part should have. This is synonymous with the ‘name’ you want the part to have (e.g. FUSEHOLDER).

The PROPNAME=PROPVAL pairs are optional and allow you specify properties for the new components. For example, if your report contains a COST field to display the COST property of components, you might add ‘COST=0.11’.

Since the property syntax is quite tricky and it is easy to make mistakes we recommend that BOM Part creation and editing be done via the Property Editor dialogue forms.

Controlling BOM Contents from the Schematic

Fundamentally, information in the BOM report is taken from the schematic. Each component contributes a row in the report and each property can contribute to a column in the report.

Changing the value of a property - and therefore it's listing in the Bill of Materials - is normally done through the Bill of Materials property editor. However, it is equally valid to edit the schematic component and change the property value directly. This will automatically update the Bill of Materials with the change you have made.

For example, if a component has a property COST which is output in the BOM report then you could either:

  • Use the property editor to change the value.
  • Edit the schematic part for the component and change the value.

If you find that you do not want a part on the schematic to be present in the BOM report then you should create a new Variant. Assembly variants are created and managed from the Design Explorer module.

See Also:

Reference Manual : Assembly Variants

Example: Excluding a component from the BOM report

Bom Links

For many users, it is useful to hyperlink items in the BOM onto a webpage. This could be a PDF detailing operation of an IC, a suppliers website or even a direct link to a part purchase. Since the links are active both in the BOM Report view and also in the generated PDF output this is a useful way to add information or help with the purchasing procedure.

Links are enabled via the Edit Field dialogue form and can therefore be turned on or off for each column of the BOM Report.

Links are shown via the Show Links button at the top of the Property Editor.

Once visible, links are edited in the same way as other properties.

While useful, the application of links to parts can be a little time consuming to set up. We recommend that you save the parts back into your Library after doing this so that the links, along with any other entered properties, are stored for future use. You can do this individually via Make Device or en-masse via the compile to library command on the Library Menu in ISIS.

See Also

Example: To add a link to the suppliers website

Example: To add a purchase link to a stockcode


BOM PRESENTATION

A header and footer can be added to the Bill of Materials report and the content can also be configured in terms of colours, fonts and spacing by editing the relevant style(s).

Changes will be reflected immediately on the screen and will propagate out to the presentation format (PDF Output) when generating the report.

Header and Footer

The header and footer can be added and customized from the same dialogue form.

Editing the Header and/or Footer in the BOM Report. You can switch between header and footer via the tabs at the top of the dialogue form.

The dialogue form works quite a lot like your typical word processing application (e.g. MS Word), giving options for:

Magnification :

Adjust the magnification of the screen display. Does not affect the physical (printed) output but may make on-screen reading easier.

Clipboard:

Cut, copy and paste content from the clipboard. Icons are enabled when actionable. For example, highlighting some text would enable cut and copy and the paste icon is enabled only when content is on the clipboard and can be pasted.

Font:

Select the font style and size for the text. The font style applies to the paragraph unless you first select some text, in which case it applies to the selected text.

Decoration:

Select any desired decoration (e..g bold, italic) for the text. Applies to the paragraph unless you first select some text, in which case it applies only to the selected text.

Colour:

Enables the colouring of the font and/or the background. Applies to text about to be typed or a selection of text.

Justification:

Allows you to justify the header/footer text on the page. The default is left justified. See also the topic on the ruler, indentation and tab stops below.

Image Insert:

Allows you to insert an image (e.g. company logo) into the header or footer.

Ruler, Indentation and Tab Stops

While you can use justification (as described above) to position the header/footer on the page, you will have far more control if you use it in conjunction with the ruler. The ruler at the top of the header/footer dialogue allows you to independantly control the position of the first and subsequent lines of a paragraph as well as introducing spacing inside a line via tab stops.

The ruler at the top of the Header/Footer dialogue form.

The following descriptions are referenced by the red numbers added to the ruler image:

1) Paragraph Indent

The paragraph indent allows you to indent the current paragraph of text to the right. If you have more than one paragraph (unusual but possible) the current paragraph is the one with the cursor/caret.

2) Hanging Indent

The hanging indent allows you to indent the first line of the current paragraph of text to the right.

3) Tab Stop

A tab stop allows you to separate content on a line by a defined amount. See example below for more detail.

See also:

Example: Custom Header with Image.

Column Width Configuration

The BOM module will attempt to automatically define column widths to best fit the contents of the report on the page. If this does not suit, there are three things you can do manually that might help:

1) Change the page size or orientation. Often, switching to Landscape will make a big difference.

2) Change the font size of the relevant styles.

3) Set a percentage value for the columns via the Advanced Settings on the Generate Menu of the BOM Module. You should work left to right across the page when setting these values and it is of course best done at the end (when the schematic is finished and no more data will be added to the report).

Styling the Report

Styling of the report is largely user interface driven and requires little knowledge of either HTML or CSS.

The edit header and edit footer options provide almost identical functionality but at different ends of the report (top and bottom respectively).

The basic procedure is:

  1. Click on the Edit Header or Footer Button
  2. Select font, colour and styling from the dialogue.
  3. Click in the editing area and type the header/footer text.

If you want to add a company logo you need to use the same procedure but click on the image icon instead.

See also:

Example: Custom Header with Image.

The body of the report is made up of a series of styles which contain font, spacing and colour information. These are all editable via the standard Edit Style dialogue form.

Style Selector

This combo box contains a list of all the styles used in the report and is ordered (approximately) from top to bottom. The report will update live to reflect any changes you make so if you are unsure what something is a quick change of font or colour will allow you to spot the affected area/text.

See also:

Reference Diagram for Styles

Font Tab

The font tab allows you to change the font face and font size of the currently selected style. It also allows you to specify font-decorations such as bold or italic and to change the font colour.

Note that if a table style is selected (e.g. Header Table) this tab will be disabled. The font can be changed by selecting the table content style (e.g. Header Table Titles or Header Table Values).

Spacing and Alignment Tab

The spacing and alignment tab gives some basic control over the horizontal and vertical alignment of the text inside the cell. It also lets you control the margins between the cell and other cells. Adding top and bottom margins therefore increases the spacing between rows in the table.

Background and Border Tab

The background and border tab allows you to put a border around the text and/or to specify a background colour for the cell. It also lets you control padding which is the space between the text and the cell borders.

This is blue text (font tab) with a full box border and a light blue background colour. The bottom padding is the space between the bottom of this text and the edge of the blue border. The bottom margin is the space between the bottom border edge and the next paragraph of text.

When you specify a border you need to change the border style from none and also change the border width from zero before you will see any change on the screen.

The buttons to the right of the border allow you to specify what parts of the border are visible. This allows you for example to have specific underline (e.g. dashed and thick) or to vertically separate items with a border line.


Styling Reference Diagram

STYLE REFERENCE

The following is a graphical representation of which section applies to which title in the Styles Editor.

All styles can be accessed from the Edit Style button at the top of the Control Panel in the BOM.

The Main Font Editable Areas of Styling

Editable Cells

The main cell areas are highlighted below.

See Also:

Presentation and Styling

Walkthrough : Customising BOM Styles


STYLING EXAMPLES

Customising Styles and Presentation

The following examples show how you would configure the various areas of the Bill of Materials report into a corporate style for presentation output.

See Also:

BOM Presentation

Style Reference Diagram

Adding a Custom Header

1) Launch the Header/Footer dialogue from the button at the top of the control panel

2) Set the font style, size and decoration and type the header text.

3) Insert the image directly at the right of the text.

4) Hover the mouse over the image and then use the drag handles to re-size it as required.

5) Left click on the ruler to place a tab stop and then left drag the tabstop with the mouse to move it to the right.

6) Position the cursor/caret just before the image and use the TAB key to move it to the tabstop. The left hand side of the image will align with the tabstop. If the tabstop is too far to the right for the image to fit on the line it will move to the left of the next line.

Drag the tabstop (and therefore the image) to position the image exactly as required.

Tabstops allow you to control positioning of part of a line, hanging indents give separate control over the indentation of an entire line and paragraph indents give control over the position of the entire paragraph. Together with basic justification controls (left, center, right) this gives you full control over the layout of the header/footer blocks.

See Also:

Formatting Custom Header and Company Logo

Changing Fonts

  1. Click on the Edit Style button at the top of the Control Panel.

  2. Select the Style that you want to edit from the style selector combo box at the top.

  3. Change the font-face, size, decorations and colour from the options on the dialogue form. Changes will live update on the main report screen.

If the font tab is disabled it is because you have selected a table style and not a text style. For example, select style Header Table Titles or Header Table Values instead of Header Table.

Formatting Design Information

The design information block at the top of the BIll of Materials report uses information specified in ISIS so the first step is to specify this data.

  1. Switch to ISIS tab and then invoke the Edit Design Properties command from the Design Menu.

  2. Title, Revision and Author are all used in the Bill of Materials Report so populate these fields.

  3. Commit changes and return to Bill of Materials frame.

You can then use the Styling dialogue to format or style the block.

  1. Click on the Edit Style button at the top of the Control Panel.

  2. Select the Header Table Style.
  3. Switch to the Background and Border tab and configure borders, colours and padding. The example below shows a solid border with a pastel green background.

  4. Switch to the Header Table Titles style and adjust the font. You can also add a separator between the Titles and Values by using a right hand dashed border on the background and borders tab.

  5. Switch to Header Table Values style and again adjust as required.

Formatting Section Titles

  1. Click on the Edit Style button at the top of the Control Panel.

  2. Change the Style Selector combo to the Section Title Style
  3. Format changes here to font, colours, border and background.

  4. Use the Top and Bottom Margins settings to control the spacing between the Titles and the Content.

  5. Use the Left Padding Settings to indent the Title content.

See Also:

Bom Categories: Adding, Deleting, Ordering

Formatting Data Entries

  1. Click on the Edit Style button at the top of the Control Panel.

  2. Navigate the Style Selector to the Odd Row Heading Entry. Use the dialogue form to change font, spacing and borders as required.

  3. Switch to the Even Row Entry Style and repeat. It is often useful to provide a subtly different background colour in odd and even rows to help differentiate the content.

  4. Switch to the Field Heading Style. Changes here affect the styling of the column headers (quantity, ref, value, etc). Adjust as required.

  5. Switch to the Sub-totals style and adjust as required.

Whether a given column (field) will output sub-totals is specified at the point you add the field or by editing the field.

See Also:

Bom Fields: Adding, Deleting, Ordering


Properties Examples

PROPERTY EDITOR EXAMPLES

Creating, Editing and Applying User Data

This topic is a set of practical examples that includes most common usage scenarios with the Property Editor. It covers the creation of new properties, the editing and assigning of data and the configuration of the Bill of Materials Report.

See Also:

Properties and Property Editing

Fields

Adding a Property to the Grid

When you want to include additional information about your design in the BOM report you do so by adding/creating new properties for the parts on the schematic and then displaying their values as fields in the Bill of Materials.

To add a property to the grid

At the left of the BOM module click on the Add Button underneath Fields.

Select the property that you want to add from the drop down list. If the property you want does not already exist you can use the New button to create one.

If you create a new one a secondary dialogue appears in which you need to provide information about the property.

Enter a title for the column heading. This is the visible description of the data that will be shown in the Bill of Materials Report.

The next set of options allows the automatic addition of a prefix and or a suffix. Prefixes would commonly be currency symbols ($,£) and suffixes might be units of measurement. Neither is relevant for our RoHS example so we'll leave blank.

The final set of options enables automatic sub-totals and totals for the field. The obvious candidate for this would be a unit cost property but again it's not relevant to our current example so we'll leave it blank.

When we exit the dialogue form we'll see the field appear on the list and as a column on the grid.

Components on the schematic which have a property called ROHS will now show the value of that property in the Bill of Materials. If you have created a new property above or components have do not have a value for this property then you need to populate the column with data.

Adding Data to the Grid

Assuming that you created the RoHS property as above the chances are very good that the column is empty in the Property Editor grid. Remember that the grid display reads the property values from the schematic and lets you put values back into the schematic.

To set a value for a component

Use the non-editable properties at the left (Category, Ref, Value) to identify the component that you want to assign the value to. You may find it useful to split the BOM tab off from the ISIS tab (drag and drop) so that you can refer to the schematic.

Left click on the column you wish to assign the value to and select or enter the value for that part.

Click on Apply Changes at the top to commit the property assignment to the schematic part. You will see a confirmation dialogue when changes have been applied - this may take a few seconds depending on size of schematic and number of changes.

That's it. If you edit the component on the schematic you will see the property and it's value and if you look at the HTML View you will see the information in the Bill of Materials report.

It is worth pointing out that the exact same effect could have been achieved by running Make Device on the component in ISIS, adding an RoHS property and then manually assigning a value inside the Edit Component dialogue form. Changing the RoHS value on the schematic part will update the Bill of Materials report and changing the RoHS value in the Property Editor (as above) will update the schematic part.

To set a value for a group of components

The first task here is to identify the group of components. If they have identical properties it will be done by default as the group components checkbox will be selected. You can then add a value as above and it will apply to all components in the group

If you want to add a value to a category of components then you can re-order the grid first by clicking on the Category column. This will group the grid by category and allow you to quickly assign sequentially. The easiest way to do this is as follows:

Left click on the field you wish to edit, and assign a property exactly as before. In this case we wish to assign YES to the RoHS field for all the resistors that have been added.

Left depress the mouse on the sYes' field and drag it down (the cursor will change) to assign the same value to other grid squares in the column. Release the left mouse button when you are finished. This works exactly like MS Excel.

Click on Apply Changes to pass the data back to all of the affected schematic parts.

To set a value for all components

Since we are applying the value to all components, we don't need to worry about groupings or ordering. There are two easy ways to do this. If the column is currently blank you can launch the find/replace dialogue and replace with your value:

Remember to limit the replace to the current column.

If you already have several values in the column then simply go to the top of the report and use the technique described above to set for all the components.

Finally, click on Apply Changes to store the results and pass the data back to all of the affected schematic parts.

To clear a value or set of values

Clearing a value or set of values works in reverse to setting them. The fastest way is to use the find/replace dialogue with the replace value as blank.

If that doesn't suit you will need to first group manually clear a value and then drag up/down to clear the other values in the group. This works exactly like MS Excel and is detailed in a previous example above.

Controlling the BOM from the Schematic

If you need one component to contribute more than one entry in the Bill of Materials report or you don't want a component on the schematic to contribute to the BOM then you need to edit the schematic part directly.

To add parts to a component in the BOM

Go to the Property Editor in the Bill of Materials and click on the new button at the top right.

Specify the parent part as TR1 and fill out the other fields as required.

Note that, if we want the cost or the length to be shown in the Bill of Materials then we would have to add a field for COST and/or LENGTH. Similarly If we want to group the bolts in their own category then we would need to add a category for reference BL. The end result in the BOM would then look something like the following:

To specify a component as not present in the BOM

To remove a part from a version of the design you need to create an assembly variant. Start by launching the design explorer module and then create the variant from the Variant Menu.

Once created, a variant will be listed in a new column in the Design Explorer and each component in the design will have either a tick or cross to indicate whether the part is fitted or not fitted in that variant.

The variant that you have created will be available for selection in the variant toolbar. This combo-box is system global so switching to a different variant will affect various parts of the software (schematic, 3D Viewer, BOM, etc.)

You can remove a part from a particular variant by either :

1) Clicking on it's entry in the variant column of design explorer to change to a cross and then clicking on Apply Changes.

2) Switching to the variant in the variant toolbar and then editing the part on the schematic and selecting the 'Remove from Active Variant' checkbox.

If you then want to add a part back into a variant simply repeat the process in reverse.

Parts that are not present in the active variant are indicated with a cross in the column in design explorer and their part reference is greyed out on the schematic

You cannot remove a part from the base design.

Using Links in the BOM

To add a link to the Suppliers Website

If you don't have a property for Supplier then add one.

Use the techniques described in Adding Data to the Grid to populate the column with Supplier information.

Select the Field in the control panel, click on the edit button and make sure that the External Links Enabled check box is selected.

If the Show Links checkbox at the top is selected you will now see an additional column for Supplier Links. Populate this in the usual way and then click Apply Changes to commit.

You can then click on the links either in the BOM Report view or on the PDF output.

To add a purchase link to a stockcode

Select the stockcode field, click on the edit button and select the External Links Enabled checkbox.

Copy and paste the direct link from the address bar of the purchasers website into the field and click on Apply Changes to commit.

You can then click on the links either in the BOM Report view or on the PDF output.


Advanced Settings

ADVANCED BOM SETTINGS

Overview

This dialogue form provides some additional control over column layout and other miscellaneous items.

Pretty Output

Changes made here refer primarily to the WSIWYG view and the PDF output. You can choose to manually specify column widths and then enter a percentage of the screen width (paper size) for each column. The idea here is that you start on the left column and work to the right, adjusting values as you go.

The system will not allow you to sum percentages over 100% and will compensate by adjusting columns to the right of the one you are working on. The last column is generated as the remainder after subtracting the sum of the other columns from the total width.

ASCII Output

Changes made here affect the ASCII Output and works to the same principle as for the Pretty Output. The main difference is that column widths are determined in number of columns rather than percentage of page size.

Data Outputs

Settings here apply to both ASCII and CSV outputs and are intended to maintain compatibility with third party parsers developed for older versions of Proteus.


BOM PART CREATOR

Overview

A BOM Part is typically a fixture or fitting required for PCB assembly but not of itself present on the schematic. For example, bolts for fixing a transformer or a fuseholder. This dialogue allows you to add items of this type to the BOM report.

A BOM Part is always associated with a physical part on the schematic.

Options

Parent Part

Specify the part on the schematic which 'owns' the BOM Part(s). E.g. If the BOM Part is the bolt then the parent part might be the transformer.

Quantity

Specify the number of BOM Parts required. In our transformer example, we might need four bolts to mount it so would enter 4 here.

Reference Prefix

Reference Prefixes are used to denote categories of components (e.g. R for resistors , C for capacitors) and serves to group items in the Bill of Materials Report. Specifying a new reference (e.g. BL for Bolts) here will therefore group the BOM Parts into their own category in the report.

Value

This property allows entry of extra information. The value field may be the name of the part (e.g. BOLT) or can contain other information to identify the part (dimensions or characteristics).


BOM PART REMOVER

Overview

Since BOM Parts are not physically present on the schematic they need to be removed from the report directly from this dialogue form.

Options

Parent Part

Specify the part on the schematic which 'owns' the BOM Part(s) that you want to remove. E.g. If the BOM Part is the bolt then the parent part might be the transformer.

BOM Part

Select the BOM Part for removal.

Remove Button

Removes the currently selected BOM part. You can only remove one part at a time but for multiple part removal (e.g. 4 bolts) you simply repeat the select and remove process without closing the dialogue form.


CATEGORY EDITOR

Overview

A BOM Category is basically a group of components which are designated to be of the same type. The designation is made by the reference prefix of the parts in ISIS. For example, Resistors have prefix 'R' (R1, R23, R54, etc), Capacitors have designator 'C' and so on. In the Bill of Materials each category then forms a different section of the report and this dialogue allows the adding and editing of categories.

Options

Simply enter the name for the category and the prefix or prefixes to match. For example, a heading of Connectors would match reference 'J'.

Note:

The designator is specified at the point of Make Device and can be set in the first page of the Make Device dialogue form.


FIELD EDitor

Overview

A BOM field is basically a column in the Bill of Materials report which is linked to a property on the schematic components. It provides the mechanism by which you add information about schematic parts to the report. This dialogue allows for the addition and configuration of BOM fields.

Options

Component Property Name

Select a property that already exists in the system (e.g MoQ). Refer to the main help topic on properties for more information.

New Button

Create a new property that is not configured in the system (e.g. Fallback Supplier).

Title for Column Heading

Enter a text string which will appear in the BOM report as the name of the column (e.g. Minimum Order Quantity).

External Links Enabled

Allows you to make the property clickable to a destination URL. See the main help topic on BOM Links for more information.

Prefix

Automatically apply a prefix (e.g. $) to column entries.

Suffix

Automatically apply a suffix (e.g. mm) to column entries.

Apply Prefix and Suffix to Empty Values

Apply the specified prefix and/or suffix to cells with no entry.

Field Width Limit

Specify a maximum width for the column.

Output Sub-totals

Output sub-totals for the column (assuming the type is numerical).

Floating Point Precision

Specify a floating point precision for totals in summed columns.


FIND AND REPLACE

Overview

This dialogue allows quick searching and data entry for the BOM report via a fairly typical find and replace form.

Options

Find

Enter the text to be searched for.

Leaving this blank, filling out the replace field and selecting current column option provides a fast way to populate the report with data (e.g. an RoHS compliant column would be largely filled with YES entries)

Replace

Enter the text to be entered and then either replace one at a time or all at once.

Current Column Only ?

Either constrain the replace to the current column or enable for the entire report.

Case Sensitive ?

Specify whether the search operation should include case when determining a match.


IMPORT LEGACY TEMPLATE

Overview

This dialogue form helps automate the process of porting legacy (Version 7 and earlier) BOM Templates into Version 8.

Location

The first job is to locate the legacy BOM Templates. This can either be by in the registry or - if you exported from Version 7 - as a file on disk.

1) Select the location.

2) Enter the path or browse to the path if a file.

3) Press Reload when complete.

4) Templates will appear in the combo boxif successfully found.

Importing

Having located the legacy scripts you now need to name and import them individually. So:

1) Select a legacy template from the combo box.

2) Enter a name for the template.

3) Press the import button to bring the template into V8.

4) Select another legacy template from the combo box.

5) Repeat the process.


NOTES EDITOR

Overview

This free format text field allows for the additional of a small amount of notes to the Bill of Materials Report. For larger amounts of text or more complex documents you should use Project Notes and then append the Project Notes content to the Bill of Materials PDF.


Physical Property Creator

Overview

This dialogue form provides a quick way to create a new physical property which will then be understood by the BOM report and the Edit Component dialogue form in ISIS. It follows that you can make up and add whatever you need to the BOM report.

To fully configure or delete physical properties you need to go to the Default Property Definitions dialogue in the ISIS System Menu.

Options

Property Name

Enter a shorthand name for the Property (no spaces, no braces, no slashes).

Property Description

Enter a textual description for the property. As an example, you may have property name as SECSUPP with property description as Secondary Supplier.

Type

Specify a type for the Property from the combo-box.